# TCPSocket Class Reference

Inheritance diagram for TCPSocket:

List of all members.

## Public Member Functions

void | create ()
void | bind (u_int16_t port_begin, u_int16_t port_fence)
int | port ()
u_int32_t | addr ()
bool | initialized ()
bool | bound ()
virtual void | close ()

## Protected Attributes

int | socket_
int | port_
bool | initialized_
bool | bound_

The documentation for this class was generated from the following file:

- socket.h